Ostatnie wydanie dla CI2 – CodeIgniter 2.2.6

Tak jak już pisaliśmy kilkukrotnie – z dniem dzisiejszym kończy się oficjalne wsparcie dla gałęzi 2.x. Tym samym wszyscy pozostający przy tej wersji frameworka muszą się liczyć z tym, że będą zmuszeni radzić sobie sami z ewentualnymi problemami. Jeśli jeszcze tego nie zrobiłeś, to zalecamy update do CI3.

Read moreOstatnie wydanie dla CI2 – CodeIgniter 2.2.6

CodeIgniter 2.2.0 wydany

Wczoraj wyszła nowa wersja CI o numerze 2.2.0. Jak napisano na blogu EllisLab – jest to właściwie tylko łatka bezpieczeństwa. Jedynie osoby, które korzystają z gałęzi 2.x powinny dokonać update’u. Użytkownicy wersji 3 dev mogą spać spokojnie.

Pierwszą zmianą dotyczącą bezpieczeństwa, jest usunięcie metody xor_encode() w klasie Encryption – od teraz wymagane będzie rozszerzenie Mcrypt na serwerze. Drugą natomiast jest rezygnacja z używania sumy kontrolnej MD5 na rzecz HMAC w klasie Session.

Po więcej szczegółów zapraszamy do oficjalnego wpisu na blogu EllisLab.
Changelog – PL | EN
Instrukcja migracji z CI 2.1.4 do 2.2.0 – PL | EN